org.codehaus.groovy.runtime.m12n

## Class ExtensionModule

- java.lang.Object
- - org.codehaus.groovy.runtime.m12n.ExtensionModule

- Direct Known Subclasses:
    SimpleExtensionModule

      public abstract class ExtensionModule
      extends Object

  An extension module is a class responsible for providing a list of `meta methods` to the Groovy compiler and runtime. Those methods are use to "dynamically extend" existing classes by adding methods to existing classes.
  Since:
    2.0.0
  Author:
    Cedric Champeau

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionModule(String moduleName, String moduleVersion)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<MetaMethod>` | `getMetaMethods()`
    `String` | `getName()`
    `String` | `getVersion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionModule

          public ExtensionModule(String moduleName,
                         String moduleVersion)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getVersion

          public String getVersion()

    - #### getMetaMethods

          public abstract List<MetaMethod> getMetaMethods()